JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Loading...
Searching...
No Matches
Here is a list of all functions with links to the classes they belong to:

### - l -

- Label() : Label
- labelTextChanged() : Label::Listener
- LadderFilter() : juce::dsp::LadderFilter< SampleType >
- LADSPAPluginFormat() : LADSPAPluginFormat
- LAMEEncoderAudioFormat() : LAMEEncoderAudioFormat
- LassoComponent() : LassoComponent< SelectableItemType >
- lastIndexOf() : String
- lastIndexOfAnyOf() : String
- lastIndexOfChar() : String
- lastIndexOfIgnoreCase() : String
- launch() : Thread
- launchAsync() : DialogWindow::LaunchOptions, FileChooser
- launchAsynchronously() : CallOutBox
- launchInDefaultBrowser() : URL
- LaunchOptions() : DialogWindow::LaunchOptions
- launchSlaveProcess() : ChildProcessCoordinator
- launchThread() : ThreadWithProgressWindow
- launchWorkerProcess() : ChildProcessCoordinator
- layOutComponents() : StretchableLayoutManager
- layoutFileBrowserComponent() : FileBrowserComponent::LookAndFeelMethods, LookAndFeel_V2, LookAndFeel_V4
- layoutFilenameComponent() : FilenameComponent::LookAndFeelMethods, LookAndFeel_V2
- LeakedObjectDetector() : LeakedObjectDetector< OwnerClass >
- leaveMulticast() : DatagramSocket
- leftTopRightBottom() : Rectangle< ValueType >
- length() : CharPointer_ASCII, CharPointer_UTF16, CharPointer_UTF32, CharPointer_UTF8, Quaternion< Type >, String, StringRef, Vector3D< Type >
- LengthAndCharacterRestriction() : TextEditor::LengthAndCharacterRestriction
- lengthIsBelowEpsilon() : Vector3D< Type >
- lengthSquared() : Vector3D< Type >
- lengthUpTo() : CharacterFunctions, CharPointer_ASCII, CharPointer_UTF16, CharPointer_UTF32, CharPointer_UTF8
- lessThan() : juce::dsp::SIMDRegister< Type >
- lessThanOrEqual() : juce::dsp::SIMDRegister< Type >
- LevelMeter() : AudioDeviceManager::LevelMeter
- Limiter() : juce::dsp::Limiter< SampleType >
- Line() : Line< ValueType >, TextLayout::Line
- lineTo() : Path
- LineTo() : RelativePointPath::LineTo
- link() : OpenGLShaderProgram
- LinkedListPointer() : LinkedListPointer< ObjectType >
- LinkwitzRileyFilter() : juce::dsp::LinkwitzRileyFilter< SampleType >
- ListBox() : ListBox
- listBoxItemClicked() : ListBoxModel
- listBoxItemDoubleClicked() : FileSearchPathListComponent, ListBoxModel
- Listener() : CameraDevice::Listener, CodeDocument::Listener, TableHeaderComponent::Listener, Value::Listener
- ListenerList() : ListenerList< ListenerClass, ArrayType >
- listWasScrolled() : ListBoxModel, TableListBox, TableListBoxModel
- littleEndian24Bit() : ByteOrder
- littleEndian24BitToChars() : ByteOrder
- littleEndianInt() : ByteOrder
- littleEndianInt64() : ByteOrder
- littleEndianShort() : ByteOrder
- load() : OnlineUnlockStatus, VideoComponent
- loadAlpha() : OpenGLTexture
- loadARGB() : OpenGLTexture
- loadARGBFlipped() : OpenGLTexture
- loadAsync() : VideoComponent
- loadContent() : CodeEditorComponent
- loadDocument() : FileBasedDocument
- loadDocumentAsync() : FileBasedDocument
- loadFileAsData() : File
- loadFileAsString() : File
- loadFrom() : AudioThumbnail, AudioThumbnailBase, FileBasedDocument, ImageFileFormat
- loadFromAsync() : FileBasedDocument
- loadFromFXBFile() : VSTPluginFormat
- loadFromHexString() : MemoryBlock
- loadFromMemoryBlock() : BigInteger
- loadFromStream() : CodeDocument
- loadFromUserSpecifiedFile() : FileBasedDocument
- loadFromUserSpecifiedFileAsync() : FileBasedDocument
- loadFromXml() : PluginDescription
- loadGlyphIfPossible() : CustomTypeface
- loadImage() : OpenGLTexture
- loadImpulseResponse() : juce::dsp::Convolution
- loadNewThumb() : AudioThumbnailCache
- loadPathFromData() : Path
- loadPathFromStream() : Path
- loadThumb() : AudioThumbnailCache
- local() : IPAddress
- localAreaToGlobal() : Component
- LocalisedStrings() : LocalisedStrings
- localNotificationDismissedByUser() : PushNotifications::Listener
- localPointToGlobal() : Component
- localToGlobal() : ComponentPeer
- Lock() : MessageManager::Lock
- LockingAsyncUpdater() : LockingAsyncUpdater
- lockWasGained() : MessageManagerLock
- logBatchedEvents() : ThreadedAnalyticsDestination
- logEvent() : Analytics, AnalyticsDestination, ThreadedAnalyticsDestination
- Logger() : Logger
- logicalToPhysical() : Displays
- logMessage() : FileLogger, Logger, UnitTest, UnitTestRunner
- logNPlusOne() : juce::dsp::FastMathApproximations
- LogRampedValue() : juce::dsp::LogRampedValue< FloatType >
- LookAndFeel() : LookAndFeel
- LookAndFeel_V1() : LookAndFeel_V1
- LookAndFeel_V2() : LookAndFeel_V2
- LookAndFeel_V3() : LookAndFeel_V3
- LookAndFeel_V4() : LookAndFeel_V4
- lookAndFeelChanged() : AlertWindow, BubbleComponent, BurgerMenuComponent, CallOutBox, CodeEditorComponent, ComboBox, Component, FileBrowserComponent, FilenameComponent, OnlineUnlockForm, ProgressBar, ResizableWindow, ScrollBar, Slider, TabbedButtonBar, TabbedComponent, TextEditor, Toolbar, Viewport
- LookupTable() : juce::dsp::LookupTable< FloatType >
- LookupTableTransform() : juce::dsp::LookupTableTransform< FloatType >
- lowerPrivilege() : Process
- LowLevelGraphicsContext() : LowLevelGraphicsContext
- LowLevelGraphicsPostScriptRenderer() : LowLevelGraphicsPostScriptRenderer
- LowLevelGraphicsSoftwareRenderer() : LowLevelGraphicsSoftwareRenderer
- LuaTokeniser() : LuaTokeniser
- LV2PluginFormat() : LV2PluginFormat